Subject: modem access Han script on remote machines

From: H u a n g Yolin <[email-masked]>
Date: Sat, 30 May 1992 10:38:37 EDT

modem access Han script on remote machines:

Lately there were some discussions about 'chirk', which allows modem
access to remote 8-bit Han file; and with MSDOS kermit (public domain,
watsun.cc.columbia.edu), 'chirk' can automatically switch the kermit to
the tek mode to draw the Han script on PC screen.  But, because of the
huge glyphs/font info running through the modem line, the thru-put or
speed-per-character is not that great even with vector simplified fonts.
However, chirk allows access to remote files without downloading, which
was not popular before.

Recently, I have experimented with the kermit, and found out a different
and faster way to access remote files.  I like to share my findings with
CCNet.  It involves the following steps:

1) on the PC side, after starting-up ETen (a commercial Big5 TSR
software) on PC, use Ctrl-Alt-A (ETen specific) to switch the display
over to ASCII mode, with ETen in TSR.

2) fire up MSDOS kermit for communication (on top of ETen), log into
remote machine; but set the following options in kermit: (either change
in mskerm.ini, or change during the kermit session by using 'set'.)

----------
Display: 8-bit
Term character-set: Transparent
----------

on PC, use Ctrl-Alt-A (ETen hot-key) to switch the display mode back to
8-bit Han script display again.  Then, on the remote machine, one can use
'more', 'cat', or 'cless' (from cs.purdue.edu.) to roll the Han text.
And, voila, they are now in the form you can read.  The paging feature of
kermit is still available, and very handy.  The speed is almost as fast
as ASCII files (not hard to imagine, since the display scheme access the
local font files on PC disks.)  With a converter, one can also read GB
files this way (b2g -b | cless), much faster than chirk.  [There is
something with the 'cless', I couldn't find a fix: 1) it alway adds a
"^M" (CR) to the end of each line, 2) the shift-H for help gives a {"-P":
invalid flag} error.  But otherwise, the paging both forward and backward
works fine.]

(If use 'rlogin', probably need option '-8'.)

I have tried this out on a few remote machines: such as Sun, SGI
workstations, VAX, and some other larger machines.

For some reason, it didn't work on Alliant, and Pyramid.  Maybe stty need
more fine-tuning.

The fun is not over yet.  One can use editors on remote machines, such as
emacs (cemacs), to edit files.  (I haven't tried celvis, since I am a
vi-illiterate.  But, there is a good chance, that this will work as well.)
One more bonus with this access, is that large files can be edited on
remote Unix boxes from home, which is far larger than regular DOS machines
can take.  If an emacs-derivative is also used on DOS, then the interface
to files on either PC or remote machine makes no difference. ... Say some
might contemplate in typing-in the KangXi lexicon during the long summer
night, for instance.

==========

The JHL (ChinaStar) code works to some extent, but has some key-mapping
conflicts?; needs more tuning.

For the GB users, I haven't seen any software in the public arena, which
works in the same TSR way as ETen.  zW or hc approach is probably TSR, but
looks like they have stripped down the code to 7-bit with shift-in and
shift-out a la Junet.  However, since there are quite a few top-gun GB
hackers around, some relevent utilities might come up pretty soon.
Furthermore, there is a good chance that the CCDOS probably works the
same way as ETen, since no matter what they are probably both ChinaStar
derivatives adaptive to different dogmata.  But, I don't have CCDOS, I
can't tell.

==========

This approach will possibly also work with other 8-bit codes, 2-byte
(e.g. Japanese JIS, Korean, and Unicode [back to the future]) or 3-byte
(CCCII, or EACC. - Is there such a TSR for those codes?  It will be very
handy to remotely access huge library databases in those codes from home!)

Thanks to those code developers, who made the codes available.

============================================================

Also a Question: I didn't have much luck in converting ETen 24x24 fonts
for pmC TeX by using the et2bdf, bdf2pmmf, and MakeFont trilogy from
'nmsu.edu'.  Anybody had better luck?  Please let me hear from you.
Thanks.